
Foreman - Feature #3522

Attach a instance to an AWS ELB

10/25/2013 01:57 PM - Jim Bailey

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We can currently build an AWS instance but assign it to an ELB. Foreman should be able to select an ELB during provisioning and

assign the instance to that ELB upon completion of a successful puppet run.

History

#1 - 10/25/2013 02:03 PM - Dominic Cleal

- Category set to Compute resources

#2 - 09/26/2014 07:23 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2

#3 - 06/09/2016 01:09 PM - Paul  Smyth

I was hit by a problem this causes this week. Couple of instances I was launching require an elastic ip but as we want to manage using the private ip

and add the elastic ip afterwards, i.e not create standard public ip, the cloud-init fails as it has no internet access until it's got an elastic ip. If someone

can point me to the specific code I'm more than happy to offer contributions.
